import matplotlib.pyplot as plt
import numpy as np 
import scipy as spy
import pylab as ply
import argparse
import sys

# Open file

f = open('energy_ref.dat', 'r')

lines = f.readlines()

f.close()

x1 = []
y1 = []

# Fermi energy
Ef=0.0

for line in lines:
    p = map(float,line.split())
    y1.append(float((p[0]-Ef)*27.212))

for yv in y1:
    x = [0.2,0.8]
    y = [yv, yv]

    if yv <= 0:
        plt.plot(x,y,color='red')
    else:
        plt.plot(x,y,color='green')

# add label to y-axis
ply.ylabel("E - Ef [eV]")

# set x and y range
ply.xlim([0,1])
ply.ylim([-5,5])

# remove x-axis label
plt.gca().xaxis.set_major_locator(plt.NullLocator())

# show plot
#plt.show()

# save plot in a eps file
plt.savefig('ELD.png')
